<template>
  <main
    id="checkautoContext"
    class="kit outer">
    <div class="kit view page gray">
      <div class="container minimal background white">
        <div class="line breadcrumb">
          <slot name="line-breadcrumb"/>
        </div>
        <div class="line content">
          <slot name="line-content"/>
        </div>
        <div class="line modal">
          <slot name="line-modal"/>
        </div>
      </div>
    </div>
  </main>
</template>

<script>
export default {
  name: 'MainLayout',
};
</script>

<style lang="scss">
  @import "~assets/scss/modules/desktop/variables";
  @import "~assets/scss/collections/breadcrumb";
  @import "~assets/scss/elements/advanced-icons";
  //********************************************
  @import "~assets/scss/modules/info-text";
  @import "~assets/scss/modules/crash-block";
  @import "~assets/scss/modules/tables/_table-cabinet";
  @import "~assets/scss/modules/tables/_table-resize";

  //@import "~assets/scss/context/checkauto";
</style>
<style scoped lang="scss">
  .kit.view.page {
    display: flex;
    width: 100%;
    flex: 1 0 auto;
    padding: 0;
    position: relative;
    z-index: 15;
    &.gray {
      background-color: #ededed !important;
    }
    > .container:not(.ui) {
      display: flex;
      flex-flow: column nowrap;
      justify-content: flex-start;
      align-content: stretch;
      width: 100%;
      flex: 1 0 auto;
      padding: 0;
      &.minimal {
        max-width: 64rem;
        min-width: 64rem;
        margin: 0 auto;
        @media screen and (max-width: 1024px) {
          min-width: auto;
        }
      }
      .line.breadcrumb {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: stretch;
        flex: 0 1 auto;
        margin: 0;
        width: 100%;
        min-height: 1rem;
        padding-top: 1rem;
        background-color: #fff;
        padding-left: 2.75rem;
        @media only screen and (max-width: 1024px) {
          display: none;
        }
      }
      .line.content {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: stretch;
        width: 100%;
        flex: 1 0 auto;
        margin: 0;
        height: auto;
      }
    }

    @media only screen and (min-width: 1025px) {
      .ui.button.circular {
        padding-left: 2rem;
        padding-right: 2rem;
      }
    }

    .kit.view.checkauto.example,
    .kit.view.checkauto.report {
      display: flex;
      flex-flow: column nowrap;
      justify-content: flex-start;
      align-items: stretch;
      width: 100%;
      padding: 0;
      h1, h2 {
        font-size: 1.3125rem;
        line-height: 1.3;
        margin: 0;
      }

      > .top {
        padding: 1.5rem 2.75rem;
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        min-height: 6.5rem;
        border-bottom: .0625rem solid #c5d1d9;
        .heading {
          padding-right: 1rem;
        }
        .vin-wrap {
          white-space: nowrap;
          font-size: inherit;
          line-height: 1.3;
        }
        .date-wrap {
          font-size: 0.8125rem;
          font-weight: 400;
          line-height: 1.3;
          color: #5b5b5b;
        }
      }

      .top-button-wrap {
        display: inline-flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: center;
        color: #4a4a4a;
        white-space: nowrap;
        .text {
          display: flex;
          justify-content: flex-start;
          flex-wrap: nowrap;
          padding: 0 1rem 0 4rem;
          font-size: 1rem;
          font-weight: 500;
          * {
            margin-right: 5px;
            &:last-child {
              margin-right: 0;
            }
          }
          .line-break {
            width: 100%;
          }
        }
      }

      > .bottom {
        max-width: calc(100% - 12.5625rem);
        margin-top: 0;
        margin-bottom: 2.5rem;
        p {
          margin-bottom: 1.5rem;
          text-align: center;
        }
        .flexline {
          display: flex;
          justify-content: center;
          align-items: center;
          flex-direction: column;
          .ui.button {
            flex-shrink: 0;
            margin-right: 0;
          }
          .kit.payment {
            margin: 1.125rem 0 0 auto;
          }
          @media screen and (max-width: 1024px) {
            .kit.payment {
              margin: 1rem auto -1rem;
            }
          }
        }
      }

      @media only screen and (max-width: 1024px) {
        padding: 0 1.5rem;
        .top-button-wrap {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 100%;
          padding: 1.5rem 0 0;
          color: #383838;
          .text {
            padding: 0;
            font-size: 1.1875rem;
          }
        }
        .sticky-button-wrap {
          display: none;
          flex-wrap: nowrap;
          justify-content: space-between;
          padding: 1rem 0;
          position: fixed;
          margin: 0;
          left: 0;
          right: 0;
          top: 0;
          background: #fff;
          z-index: 999;
          box-shadow: 0 4px 12px 0 rgba(96, 126, 146, .12);
          .text {
            font-weight: 500;
            font-size: 1rem;
          }
          &.visible {
            display: flex;
          }
          .ui.button {
            margin: 0;
          }
        }

        > .top {
          min-height: auto;
          padding: 0 0 2.5rem;
          flex-flow: column nowrap;
          align-items: flex-start;
          border-bottom: 0;
          &.text {
            flex-flow: row wrap;
          }
          .date-wrap, .vin-wrap {
            display: block;
            margin-top: 0.25rem;
            font-weight: 400;
            font-size: 0.9375rem;
            color: initial;
          }
        }

        > .bottom {
          max-width: 100%;
          padding: 0;
          margin: 0;
        }
      }
    }

    .ui.button {
      .hidden {
        @media (max-width: 320px) {
          &.xs {
            display: none;
          }
        }
        @media (max-width: 375px) {
          &.sm {
            display: none;
          }
        }
        @media (max-width: 475px) {
          &.md {
            display: none;
          }
        }
      }
    }
  }
</style>
